// file: dt_debug_0.cc
//
 
// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) file pointer used for output
//  char_1* message: (input) a message concatenated to each debug message
//
// return: a logical_1 value indicating status
//
// this method displays the values of all internal data
//
logical_1 Decision_tree::debug_cc(FILE* fp_a, char_1* message_a) {

  // dump the central phone 
  //
  fprintf(fp_a, "%s::%s: cph_d = %p\n", DT_CLASS_NAME, message_a,
	  cph_d);

  // dump the state position
  //
  fprintf(fp_a, "%s::%s: state_pos_d = %ld\n", DT_CLASS_NAME, message_a,
	  state_pos_d);

  // dump the root node of the tree
  //
  fprintf(fp_a, "%s::%s: root_d = %p\n", DT_CLASS_NAME, message_a,
	  root_d);

  // dump the split threshold 
  //
  fprintf(fp_a, "%s::%s: split_threshd_d = %f\n", DT_CLASS_NAME, message_a,
	  split_threshd_d);

  // dump the merge threshold 
  //
  fprintf(fp_a, "%s::%s: merge_threshd_d = %f\n", DT_CLASS_NAME, message_a,
	  merge_threshd_d);

 // dump the minimum number of states threshold 
  //
  fprintf(fp_a, "%s::%s: num_occ_threshd_d = %f\n", DT_CLASS_NAME, message_a,
	  num_occ_threshd_d);

  // dump the Link list of leaf nodes
  //
  fprintf(fp_a, "%s::%s: leaf_nodes_d = %p\n", DT_CLASS_NAME, message_a,
	  leaf_nodes_d);

  // dump the number of leaf nodes
  // 
  fprintf(fp_a, "%s::%s: num_leaf_d = %ld\n", DT_CLASS_NAME, message_a,
	  num_leaf_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}







